=== debian/changelog ===
nss (2:3.26-1+debu7u5) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add patch to fix a security issue:
    - CVE-2017-7805: Potential use-after-free in TLS 1.2 server when
      verifying client authentication

 -- Roberto C. Sánchez <roberto@debian.org>  Wed, 18 Oct 2017 22:16:22 -0400

nss (2:3.26-1+debu7u4) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add patch to fix a security issue: CVE-2017-7502.

 -- Ola Lundqvist <opal@debian.org>  Tue, 30 May 2017 19:34:55 +0000

nss (2:3.26-1+debu7u3) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add patches to fix two security issue:
    - CVE-2017-5461: Out-of-bounds write in Base64 encoding
    - CVE-2017-5462: DRBG flaw

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 19 May 2017 12:12:48 +0200

nss (2:3.26-1+debu7u2) wheezy-security; urgency=high

  [ Antoine Beaupré ]
  * Non-maintainer upload by the LTS Security Team.
  * New upstream release to fix CVE-2016-9074
    * CVE-2016-9074: existing mitigation of timing side-channel attacks
    insufficient
    * also includes a fix for aborted client connexions with MD5 algorithm
    selection
  * Remove weird debian/changelog.n file from previous upload
  * Add debian/patches/customize-gcc.patch to allow override of CC and CCC
    variables in build system.

  [ Raphaël Hertzog ]
  * Run upstream test suite (cf #806639).
  * Add autopkgtest (cf #806207).
  * Force use of gcc-4.7 and g++-4.7 to fix FTBFS on arm*.
  * Update nss/tests/libpkix/certs/PayPal*.cert to work-around
    the fact that the former certificates have expired. Also
    update the expected OID through
    debian/patches/replace_expired_paypal_cert.patch.
  * Repackage the new upstream release as debian/patches/nss-3.26.2.patch on top
    of nss-3.26 to avoid having a version higher than in jessie.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Dec 2016 10:02:10 +0100

nss (2:3.26-1+debu7u1) wheezy-security; urgency=medium

  * New upstream release.  Closes: #583651.
  * This is a backport of the release made for jessie-security including
    but not limited to:
    - Watch file update
    - Control file improvements.
    - Build dependency on nspr 4.12 (important part to solve #583651).
    - Patch modifications to work with new upstream source.
    - Patch removals (as they are already incorporated upstream).
    - debian/rules updates to work with new upstream release.

 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Oct 2016 21:49:31 +0200

nss (2:3.14.5-1+deb7u8) wheezy-security; urgency=medium

  * Non-maintainer upload.
  * debian/patches/CVE-2016-2834-1.patch
    debian/patches/CVE-2016-2834-2.patch
    debian/patches/CVE-2016-2834-3.patch
    debian/patches/CVE-2016-2834-4.patch
    + Backport patches from upstream, addresses four moderate rated
      networking security issues (MFSA2016-61 / CVE-2016-2834).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 Jun 2016 16:48:23 +0200

nss (2:3.14.5-1+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the Long Term Security Team.
  * Add CVE-2015-4000.patch patch.
    CVE-2015-4000: NSS patch increasing limit to 1023 bits.

 -- Ola Lundqvist <opal@debian.org>  Fri, 03 Jun 2016 10:05:19 +0000

nss (2:3.14.5-1+deb7u6) wheezy-security; urgency=high

  [ Guido Günther ]
  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-7182.patch:
    CVE-2015-7182: Heap-based buffer overflow in the ASN.1 decoder
  * Add CVE-2015-7181.patch:
    CVE-2015-7181: The sec_asn1d_parse_leaf function improperly restricts
    access to an unspecified data structure
  * Add autopkgtest for certificate generation/signing and library linking

  [ Antoine Beaupré ]
  * Add CVE-2016-1938.patch, ported from squeeze:
    CVE-2016-1938: The s_mp_div function in lib/freebl/mpi/mpi.c in
    improperly divides numbers, which might make it easier for remote
    attackers to defeat cryptographic protection mechanisms
  * Add CVE-2016-1950.patch:
    CVE-2016-1950: Heap-based buffer overflow allows remote attackers to
    execute arbitrary code via crafted ASN.1 data in an X.509 certificate.
  * Add CVE-2016-1978.patch:
    CVE-2016-1978: Use-after-free vulnerability in the
    ssl3_HandleECDHServerKeyExchange function allows remote attackers to
    cause a denial of service or possibly have unspecified other impact by
    making an SSL (1) DHE or (2) ECDHE handshake at a time of high memory
    consumption.
  * Add CVE-2016-1979.patch:
    CVE-2016-1979: Use-after-free vulnerability in the
    PK11_ImportDERPrivateKeyInfoAndReturnKey function allows remote
    attackers to cause a denial of service or possibly have unspecified
    other impact via crafted key data with DER encoding.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 29 Mar 2016 11:57:06 -0400

nss (2:3.14.5-1+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-2721.patch patch.
    CVE-2015-2721: NSS incorrectly permits skipping of ServerKeyExchange.
  * Add CVE-2015-2730.patch patch.
    CVE-2015-2730: ECDSA signature validation fails to handle some
    signatures correctly.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 11 Aug 2015 17:44:07 +0200

nss (2:3.14.5-1+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-1569.patch.
    CVE-2014-1569: ASN.1 DER decoding of lengths is too permissive, allowing
    undetected smuggling of arbitrary data. (Closes: #773625)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Dec 2014 16:11:33 +0100

nss (2:3.14.5-1+deb7u3) wheezy-security; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2014-1544: improper removal of an NSSCertificate structure
    from a trust domain.

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Nov 2014 14:29:23 +0100

nss (2:3.14.5-1+deb7u2) wheezy-security; urgency=high


